com.aliyun.svideosdk.mixrecorder

## Class AliyunMixStream.Builder

- java.lang.Object
- - com.aliyun.svideosdk.mixrecorder.AliyunMixStream.Builder

- Enclosing class:
    AliyunMixStream

      public static final class AliyunMixStream.Builder
      extends java.lang.Object

  `AliyunMixStream` builder static inner class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AliyunMixStream` | `build()` Returns a `AliyunMixStream` built from the parameters previously set.
    `AliyunMixStream.Builder` | `displayMode(VideoDisplayMode displayMode)` Sets the `mDisplayMode` and returns a reference to this Builder so that the methods can be chained together.
    `AliyunMixStream.Builder` | `filePath(java.lang.String filePath)` Sets the `mFilePath` and returns a reference to this Builder so that the methods can be chained together.
    `AliyunMixStream.Builder` | `streamEndTime(long streamEndTime, java.util.concurrent.TimeUnit timeUnit)` Sets the `mStreamEndTimeMills` and returns a reference to this Builder so that the methods can be chained together.
    `AliyunMixStream.Builder` | `streamEndTimeMills(long streamEndTimeMills)` Sets the `mStreamEndTimeMills` and returns a reference to this Builder so that the methods can be chained together.
    `AliyunMixStream.Builder` | `streamStartTime(long streamStartTime, java.util.concurrent.TimeUnit timeUnit)` Sets the `mStreamStartTimeMills` and returns a reference to this Builder so that the methods can be chained together.
    `AliyunMixStream.Builder` | `streamStartTimeMills(long streamStartTimeMills)` Sets the `mStreamStartTimeMills` and returns a reference to this Builder so that the methods can be chained together.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### filePath

          public AliyunMixStream.Builder filePath(java.lang.String filePath)

      Sets the `mFilePath` and returns a reference to this Builder so that the methods can be chained together. Sets the file path of this stream.
      Parameters:
        `filePath` - The `mFilePath`.
      Returns:
        A reference to this Builder.

    - #### streamStartTimeMills

          public AliyunMixStream.Builder streamStartTimeMills(long streamStartTimeMills)

      Sets the `mStreamStartTimeMills` and returns a reference to this Builder so that the methods can be chained together. Sets the start time of this stream. For example, to choose the 5th to 20th seconds of a 30-second video stream, set the start time to 5,000 milliseconds.
      Parameters:
        `streamStartTimeMills` - The `mStreamStartTimeMills`.
      Returns:
        A reference to this Builder.

    - #### streamStartTime

          public AliyunMixStream.Builder streamStartTime(long streamStartTime,
                                                         java.util.concurrent.TimeUnit timeUnit)

      Sets the `mStreamStartTimeMills` and returns a reference to this Builder so that the methods can be chained together. Sets the start time of this stream. For example, to choose the 5th to 20th seconds of a 30-second video stream, set the start time to 5,000 milliseconds.

      Added in v3.27.0

      Parameters:
        `streamStartTime` - The `mStreamStartTime`.
        `timeUnit` - time unit
      Returns:
        A reference to this Builder.

    - #### streamEndTimeMills

          public AliyunMixStream.Builder streamEndTimeMills(long streamEndTimeMills)

      Sets the `mStreamEndTimeMills` and returns a reference to this Builder so that the methods can be chained together. Sets the end time of this stream. Unit: milliseconds
      Parameters:
        `streamEndTimeMills` - The `mStreamEndTimeMills`.
      Returns:
        A reference to this Builder.

    - #### streamEndTime

          public AliyunMixStream.Builder streamEndTime(long streamEndTime,
                                                       java.util.concurrent.TimeUnit timeUnit)

      Sets the `mStreamEndTimeMills` and returns a reference to this Builder so that the methods can be chained together. Sets the end time of this stream.

      Added in v3.27.0

      Parameters:
        `streamEndTime` - The `mStreamEndTime`.
        `timeUnit` - time unit
      Returns:
        A reference to this Builder.

    - #### displayMode

          public AliyunMixStream.Builder displayMode(VideoDisplayMode displayMode)

      Sets the `mDisplayMode` and returns a reference to this Builder so that the methods can be chained together. Sets the display mode of this stream.
      Parameters:
        `displayMode` - The `mDisplayMode`.
      Returns:
        A reference to this Builder.

    - #### build

          public AliyunMixStream build()

      Returns a `AliyunMixStream` built from the parameters previously set.
      Returns:
        A `AliyunMixStream` built with parameters of `AliyunMixStream.Builder`.